gnutls_ia_verify_endphase(3)

NAME
gnutls_ia_verify_endphase - API function

SYNOPSIS
#include <gnutls/extra.h>

int gnutls_ia_verify_endphase(gnutls_session_t session, const char * checksum);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

const char * checksum
    12-byte checksum data, received from gnutls_ia_recv().

DESCRIPTION
Verify TLS/IA end phase checksum data. If verification fails, the GNUTLS_A_INNER_APPLICATION_VERIFICATION alert is sent to the other sie. This function is called when gnutls_ia_recv() return GNUTLS_E_WARNING_IA_IPHF_RECEIVED or GNUTLS_E_WARNING_IA_FPHF_RECEIVED.

RETURN VALUE
Return 0 on successful verification, or an error code. If the checksum verification of the end phase message fails, GNUTLS_E_IA_VERIFY_FAILED is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.